> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider Models

> Get available models for a specific provider.

Returns a list of models with their specifications, pricing,
and capability information.

**Example:**
```
GET /integrations/providers/openai/models
GET /integrations/providers/google/models?model_type=chat
GET /integrations/providers/openai/models?model_type=embedding
```



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/integrations/providers/{provider_id}/models
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/integrations/providers/{provider_id}/models:
    get:
      tags:
        - Integrations
      summary: Get Provider Models
      description: |-
        Get available models for a specific provider.

        Returns a list of models with their specifications, pricing,
        and capability information.

        **Example:**
        ```
        GET /integrations/providers/openai/models
        GET /integrations/providers/google/models?model_type=chat
        GET /integrations/providers/openai/models?model_type=embedding
        ```
      operationId: >-
        get_provider_models_api_v1_integrations_providers__provider_id__models_get
      parameters:
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            title: Provider Id
        - name: model_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by model type (chat, embedding, code-generation, etc.)
            title: Model Type
          description: Filter by model type (chat, embedding, code-generation, etc.)
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by status
            default: active
            title: Status
          description: Filter by status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````